> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Request Subscription Keys

> Requests the E2E encryption keys for the rooms the authenticated user is subscribed to. Other room members are notified to share their keys with the requesting user. This endpoint replaces the deprecated `e2e.requestSubscriptionKeys` DDP method. 

### Changelog
| Version | Description |
| ------- | ------------|
| 8.6.0   | Added       |

## OpenAPI

````json POST /api/v1/e2e.requestSubscriptionKeys
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Settings"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "tags": [
    {
      "name": "Settings"
    },
    {
      "name": "Cloud"
    },
    {
      "name": "DNS"
    },
    {
      "name": "E2E"
    },
    {
      "name": "Import"
    },
    {
      "name": "Bulk User Import"
    },
    {
      "name": "Instances"
    },
    {
      "name": "Federation"
    },
    {
      "name": "Moderation"
    },
    {
      "name": "Device Management"
    },
    {
      "name": "Password policy"
    },
    {
      "name": "Video Conference"
    },
    {
      "name": "Media Calls"
    }
  ],
  "paths": {
    "/api/v1/e2e.requestSubscriptionKeys": {
      "post": {
        "summary": "Request Subscription Keys",
        "operationId": "post-api-v1-e2e.requestSubscriptionKeys",
        "description": "Requests the E2E encryption keys for the rooms the authenticated user is subscribed to. Other room members are notified to share their keys with the requesting user. This endpoint replaces the deprecated `e2e.requestSubscriptionKeys` DDP method. \n\n### Changelog\n| Version | Description |\n| ------- | ------------|\n| 8.6.0   | Added       |",
        "tags": [
          "E2E"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/X-User-Id"
          },
          {
            "$ref": "#/components/parameters/X-Auth-Token"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/trueSuccess"
          },
          "401": {
            "$ref": "#/components/responses/authorizationError"
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "X-User-Id": {
        "name": "X-User-Id",
        "in": "header",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "CkCPNctrgCDfmWLqC",
        "description": "The user ID."
      },
      "X-Auth-Token": {
        "name": "X-Auth-Token",
        "in": "header",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "1Dd4iN_ClKn5jl-xPC36snQ4s9Zd5GZnXCQuCNSKcVE",
        "description": "The authentication token."
      }
    },
    "responses": {
      "trueSuccess": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "success": {
                  "type": "boolean"
                }
              }
            },
            "examples": {
              "Success": {
                "value": {
                  "success": "true"
                }
              }
            }
          }
        }
      },
      "authorizationError": {
        "description": "Unauthorized",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "string"
                },
                "message": {
                  "type": "string"
                }
              }
            },
            "examples": {
              "Authorization Error": {
                "value": {
                  "status": "error",
                  "message": "You must be logged in to do this."
                }
              }
            }
          }
        }
      }
    }
  }
}
````

